Subject: Re: [PATCH 3/3] [UDP6]: Counter increment on BH mode

From: Ingo Molnar <[email-masked]>
Date: Sun, 16 Dec 2007 09:58:18 +0100

* Herbert Xu <[email-masked]> wrote:

> On Sat, Dec 15, 2007 at 07:43:28PM +0100, Ingo Molnar wrote:
> >
> > we could perhaps introduce stat_smp_processor_id(), which signals that 
> > the CPU id is used for statistical purposes and does not have to be 
> > exact? In any case, your patch looks good too.
> 
> Unfortunately that doesn't work because we can then have two CPUs 
> trying to update the same counter which may corrupt it.

ah, indeed. I missed that correctness aspect of your patch. Good catch!

	Ingo